AsterNet Class Library (Sandcastle documentation)

| AbstractChannelEvent State Property

Get/Set the (new) state of the channel.
The following states are used:

- Down
- OffHook
- Dialing
- Ring
- Ringing
- Up
- Busy

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string State { get; set; }

    Public Property State As String
    	Get
    	Set

    public:
    property String^ State {
    	String^ get ();
    	void set (String^ value);
    }

    member State : string with get, set

#### Property Value

Type: String
See Also

#### Reference

AbstractChannelEvent Class
AsterNET.Manager.Event Namespace